Escribir en japonés usando Linux

Los comentarios han sido cerrados por ser un artículo obsoleto.

Después de unas horas investigando sobre el tema, encontré un sitio japonés (http://blog.goo.ne.jp/ikunya/e/9bebbd28bb1f9e800a191d63937aadc5) que explica cómo usar una aplicación al mejor estilo IME para poder escribir en japonés.
El sistema elegido es Gnome bajo Debian etch.
Aquí van los pasos a seguir, son muy fáciles:

Instalar el intérpret Anthy:
# apt-get install anthy

Instalar UIM, que es un puente entre el intérprete el servidor gráfico (si no me equivoco):
# apt-get install uim
Como hay poca documentación y esto es una ciencia exacta(?) el sitio dice que además por las dudas se puede instalar uim-applet-gnome
También yo por las dudas también le instalé el uim-anthy: uim-anthy

En caso de no existir, crear:
~/.xsession
y agregarle estas líneas:
export GTK_IM_MODULE=uim
export XMODIFIERS=@im=uim
uim-xim &

En caso de no existir, crear:
~/.uim
y agregarle:
(define default-im-name ‘anthy)

Al ~/.xinitrc
agregarle:
exec uim-toolbar-gtk &
ó
agregarle:
exec uim-toolbar-gtk-systray &
y al final exec gnome-session &

El applet que instalé es GTK porque uso Gnome, sin embargo hay una versión QT(la versión 4) para la gente que usa KDE, en ese caso tienen que escribir QT_IM_MODULE en vez de GTK_IM_MODULE.
No se si funcionará con todas las aplicaciones. No tengo OpenOffice por lo tanto no lo he probado ahí, pero en las aplicaciones GTK funciona bien, Firefox, Amule. He probado Skype (QT3) y no pude escribir en japonés en los cuadros de diálogo. Tampoco he probado con aplicaciones QT/KDE porque en este momento no tengo ninguna.
Sin embargo no creo que cambie mucho, ¡hay que investigar más!
よく楽しんでね

Anuncios

3 comments

  1. Muy buena data pero me estoy taladrando la cabeza y no puedo hacer que camine el scim con firefox en el karmic koala (ubunto 9.10) No me funciona el scim en general (no como como en la 9.04)
    Si tienes alguna solución a esto te lo agradezco.

    Un loco que se le dio por estudiar japones al igual que tu por mero fanatismo al anime y manga.

  2. Hola, este post ya está desactualizado en Ubuntu.
    SCIM ya no se usa más en Ubuntu 9.10 (sí en Kubuntu y Xubuntu); el mismo fue cambiado por IBus, como el que usa Fedora.
    Vas a tener que especificar que la entrada de teclado sea IBus en tu configuración regional.
    Si tenés aplicaciones QT, IBus no te va a funcionar. Siempre hay un problema con las bibliotecas QT. En ese caso tendrás que bajar el IBus del PPA Launchpad.
    Saludos

Los comentarios están cerrados.